- Home
- API Enriched
- Observability
- observability
- GET Metric Query Data.
GET Metric Query Data.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/metric-query';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","metrics":[{"field":"example","function":"MEAN","measurement":"example","tags":[{"key":"example","values":["example"]}]}],"namespace":"example","start_time":"example","step_size":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/metric-query \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "metrics": [ { "field": "example", "function": "MEAN", "measurement": "example", "tags": [ { "key": "example", "values": [ "example" ] } ] } ], "namespace": "example", "start_time": "example", "step_size": "example" }'Returns time series data of monitor metric query by region.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Request namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request of metric query metric data.
object
End time for requested Metric Query metrics (default: current time)
A list of metric query metric item objects.
Metric query metric object.
object
Metric field.
Metric measurement.
Metric tags.
Metric query metric tag values object.
object
Tag key
Tag values.
Request namespace.
Start time for requested Metric Query metrics.
Step size for time series aggregation.
Responses
Section titled “Responses”A successful response.
Metric query metric data.
object
A list of metric query data.
Metric Query Data object.
object
Data messages.
A list of metric query raw data.
Raw Data object.
object
Timestamp of a RawData item.
Configuration parameter for value
Examplegenerated
{ "data": [ { "message": "example", "raw": [ { "timestamp": 1, "value": 1 } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example